psidtopgm(1)

NAME
psidtopgm - convert PostScript "image" data into a portable graymap

SYNOPSIS
psidtopgm width height bits/sample [imagedata]

DESCRIPTION
Reads the "image" data from a PostScript file as input. Produces a portable graymap as output.

This is a very simple and limited program, and is here only because so many people have asked for it. To use it you have to manually extract the readhexstring data portion from your PostScript file, and then give the width, height, and bits/sample on the command line. Before you attempt this, you should at least read the description of the "image" operator in the PostScript Language Reference Manual.

It would probably not be too hard to write a script that uses this filter to read a specific variety of PostScript image, but the variation is too great to make a general-purpose reader. Unless, of course, you want to write a full-fledged PostScript interpreter...

SEE ALSO
pnmtops(1), pgm(5)

AUTHOR
Copyright (C) 1989 by Jef Poskanzer.